> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tuor.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Webhook Deliveries

> List recent webhook deliveries for a project, newest first.



## OpenAPI

````yaml /openapi.json get /v1/projects/{project_id}/webhook-deliveries
openapi: 3.1.0
info:
  title: Tuor API
  description: API for storing and managing human review of model traces
  version: 0.1.0
servers:
  - url: https://api.tuor.dev
security:
  - ApiKeyAuth: []
paths:
  /v1/projects/{project_id}/webhook-deliveries:
    get:
      tags:
        - Webhooks
      summary: List Webhook Deliveries
      description: List recent webhook deliveries for a project, newest first.
      operationId: list_webhook_deliveries_v1_projects__project_id__webhook_deliveries_get
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
            title: Project Id
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 200
            minimum: 1
            default: 50
            title: Limit
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/WebhookDeliveryStatus'
              - type: 'null'
            title: Status
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/WebhookDeliveryResponse'
                title: >-
                  Response List Webhook Deliveries V1 Projects  Project Id 
                  Webhook Deliveries Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    WebhookDeliveryStatus:
      type: string
      enum:
        - pending
        - delivered
        - failed
      title: WebhookDeliveryStatus
      description: Status of a webhook delivery.
    WebhookDeliveryResponse:
      properties:
        id:
          type: string
          title: Id
        project_id:
          type: string
          title: Project Id
        trace_id:
          type: string
          title: Trace Id
        event_id:
          type: string
          title: Event Id
        status:
          $ref: '#/components/schemas/WebhookDeliveryStatus'
        attempt_count:
          type: integer
          title: Attempt Count
        last_attempt_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Attempt At
        delivered_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Delivered At
        response_status:
          anyOf:
            - type: integer
            - type: 'null'
          title: Response Status
        response_body:
          anyOf:
            - type: string
            - type: 'null'
          title: Response Body
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - project_id
        - trace_id
        - event_id
        - status
        - attempt_count
        - created_at
      title: WebhookDeliveryResponse
      description: A webhook delivery and its latest attempt.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.